Package ch.qos.logback.core.joran.spi

## Class InterpretationContext

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.joran.spi.InterpretationContext

All Implemented Interfaces:
  `ContextAware`, `PropertyContainer`

    public class InterpretationContext
    extends ContextAwareBase
    implements PropertyContainer

An InterpretationContext contains the contextual state of a Joran parsing session. `Action` objects depend on this context to exchange and store information.

Author:
  Ceki Gülcü

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`InterpretationContext​(Context context, Interpreter joranInterpreter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addInPlayListener​(InPlayListener ipl)`
`void` `addSubstitutionProperties​(java.util.Properties props)`
`void` `addSubstitutionProperty​(java.lang.String key, java.lang.String value)` Add a property to the properties of this execution context.
`java.util.Map<java.lang.String,​java.lang.String>` `getCopyOfPropertyMap()`
`DefaultNestedComponentRegistry` `getDefaultNestedComponentRegistry()`
`Interpreter` `getJoranInterpreter()`
`org.xml.sax.Locator` `getLocator()`
`java.lang.Object` `getObject​(int i)`
`java.util.Map<java.lang.String,​java.lang.Object>` `getObjectMap()`
`java.util.Stack<java.lang.Object>` `getObjectStack()`
`java.lang.String` `getProperty​(java.lang.String key)` If a key is found in propertiesMap then return it.
`boolean` `isEmpty()`
`boolean` `isListenerListEmpty()`
`java.lang.Object` `peekObject()`
`java.lang.Object` `popObject()`
`void` `pushObject​(java.lang.Object o)`
`boolean` `removeInPlayListener​(InPlayListener ipl)`
`java.lang.String` `subst​(java.lang.String value)`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InterpretationContext

    public InterpretationContext​(Context context,
                                 Interpreter joranInterpreter)

### Method Detail

#### getDefaultNestedComponentRegistry

    public DefaultNestedComponentRegistry getDefaultNestedComponentRegistry()

#### getCopyOfPropertyMap

    public java.util.Map<java.lang.String,​java.lang.String> getCopyOfPropertyMap()

Specified by:
  `getCopyOfPropertyMap` in interface `PropertyContainer`

#### getLocator

    public org.xml.sax.Locator getLocator()

#### getJoranInterpreter

    public Interpreter getJoranInterpreter()

#### getObjectStack

    public java.util.Stack<java.lang.Object> getObjectStack()

#### isEmpty

    public boolean isEmpty()

#### peekObject

    public java.lang.Object peekObject()

#### pushObject

    public void pushObject​(java.lang.Object o)

#### popObject

    public java.lang.Object popObject()

#### getObject

    public java.lang.Object getObject​(int i)

#### getObjectMap

    public java.util.Map<java.lang.String,​java.lang.Object> getObjectMap()

#### addSubstitutionProperty

    public void addSubstitutionProperty​(java.lang.String key,
                                        java.lang.String value)

Add a property to the properties of this execution context. If the property exists already, it is overwritten.

#### addSubstitutionProperties

    public void addSubstitutionProperties​(java.util.Properties props)

#### getProperty

    public java.lang.String getProperty​(java.lang.String key)

If a key is found in propertiesMap then return it. Otherwise, delegate to the context.

Specified by:
  `getProperty` in interface `PropertyContainer`

#### subst

    public java.lang.String subst​(java.lang.String value)

#### isListenerListEmpty

    public boolean isListenerListEmpty()

#### addInPlayListener

    public void addInPlayListener​(InPlayListener ipl)

#### removeInPlayListener

    public boolean removeInPlayListener​(InPlayListener ipl)